org.icefaces.ace.model.table

## Class ColumnModel

- java.lang.Object
- - org.icefaces.ace.model.table.ColumnModel

-     public class ColumnModel
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnModel(ColumnGroupModel headerModel, ColumnGroupModel bodyModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnGroupModel.TreeIterator` | `findCorrespondingBodyColums(ColumnGroupModel.TreeIterator headerIterator)` Given a header ColumnGroupModel's TreeIterator, which has iterated to a specific column position, find the body ColumnGroupModel's corresponding column position.
    `ColumnGroupModel` | `getBodyModel()`
    `ColumnGroupModel` | `getHeaderModel()`
    `java.util.List<IProxiableColumn>` | `getProxiedBodyColumns()`
    `boolean` | `isHeaderDifferentThanBody()`
    `void` | `verifyCorresponding(java.lang.String dataTableClientId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnModel

          public ColumnModel(ColumnGroupModel headerModel,
                             ColumnGroupModel bodyModel)

  - ### Method Detail

    - #### isHeaderDifferentThanBody

          public boolean isHeaderDifferentThanBody()

    - #### getHeaderModel

          public ColumnGroupModel getHeaderModel()

    - #### getBodyModel

          public ColumnGroupModel getBodyModel()

    - #### getProxiedBodyColumns

          public java.util.List<IProxiableColumn> getProxiedBodyColumns()

    - #### findCorrespondingBodyColums

          public ColumnGroupModel.TreeIterator findCorrespondingBodyColums(ColumnGroupModel.TreeIterator headerIterator)

      Given a header ColumnGroupModel's TreeIterator, which has iterated to a specific column position, find the body ColumnGroupModel's corresponding column position. If there is no distinct header ColumnGroupModel, meaning that the body one is being used for both the body and the header, then return null. Not all header column positions have corresponding body positions.
      Parameters:
        `headerIterator` - Header ColumnGroupModel.TreeIterator
      Returns:
        Body ColumnGroupModel.TreeIterator, seeked to corresponding position.

    - #### verifyCorresponding

          public void verifyCorresponding(java.lang.String dataTableClientId)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.